Package uk.ac.starlink.topcat

## Interface ColumnDataComboBoxModel.Filter

- Enclosing class:
    ColumnDataComboBoxModel

      public static interface ColumnDataComboBoxModel.Filter

  Determines what columns are acceptable for this model.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptColumn​(uk.ac.starlink.table.ValueInfo info)` | Indicates whether a given data type is suitable to be offered as an option for this model.

- - ### Method Detail

    - #### acceptColumn

          boolean acceptColumn​(uk.ac.starlink.table.ValueInfo info)

      Indicates whether a given data type is suitable to be offered as an option for this model.
      Parameters:
        `info` - column metadata
      Returns:
        true iff info describes OK data content acceptable for this model

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.